PETSc version 3.15.5
Fix/Edit manual page

# PetscStrendswithwhich

Determines if a string ends with one of several possible strings

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrendswithwhich(const char a[],const char *const *bs,PetscInt *cnt)

Not Collective

### Input Parameters

| a | - pointer to string
| bs | - strings to end with (last entry must be NULL)

### Output Parameter

| cnt | - the index of the string it ends with or the index of NULL

### Notes

Not for use in Fortran

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages